.allchallengesbystatus {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-inline: 10px;
}

.allchallengesbystatus .skeletonContainer,
.allchallengesbystatus .challengesContainer {
    width: 100%;
    height: 100%;
    display: flex;
    gap: 24px;
    flex-wrap: wrap;
}

.allchallengesbystatus .skeletonContainer {
    padding-top: 75px;
    padding-inline: 85px;
}

.allchallengesbystatus .skeletonContainer.hide {
    display: none;
}

.allchallengesbystatus .skeletonContainer .cardskeleton {
    min-width: 240px;
    height: 254px;
    border-radius: 8px;
}

.allchallengesbystatus .challengecard .challengecard-card {
    margin-right: 24px;
}

/* IPAD */
@media only screen and (max-width: 1024px) {
    .allchallengesbystatus .challengecard .challengecard-card,
    .allchallengesbystatus .tournamentcard .tournamentcard-card {
        margin: 10px 36px 10px 0;
        width: 240px;
        padding: 20px 15px 15px;
        min-height: 254px;
    }
}

/* MOBILE */
@media only screen and (max-width: 768px) {
    .allchallengesbystatus {
        padding-inline: 0;
    }

    .allchallengesbystatus .challengesContainer {
        display: block;
        gap: 0;
        flex-wrap: nowrap;
    }

    .allchallengesbystatus .skeletonContainer {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding-top: 40px;
        padding-inline: 16px;
    }

    .allchallengesbystatus .skeletonContainer .cardskeleton.long {
        min-width: 325px;
        height: 100px;
    }
}
